package rip.tilly.bedwars.player;

import lombok.Getter;
import lombok.Setter;
import rip.tilly.bedwars.BedWars;

import java.util.UUID;

/**
 * Created by Lucanius
 * Project: BedWars
 */
@Getter
@Setter
public class PlayerData {

    private final PlayerDataManager playerDataManager = BedWars.getInstance().getPlayerDataManager();
    private PlayerState playerState = PlayerState.PLAYING;

    private PlayerTeam playerTeam;

    private final UUID uniqueId;
    private boolean loaded;

    private int kills;
    private int deaths;
    private int xp;
    private int level;
    private int wins;
    private int losses;
    private int gamesPlayed;

    public PlayerData(UUID uniqueId) {
        this.uniqueId = uniqueId;
        this.loaded = false;

        this.playerDataManager.loadPlayerData(this);
    }
}
